package com.goafanti.cognizance.service;

import java.util.List;

import com.goafanti.common.model.OrgTechAchievement;
import com.goafanti.core.mybatis.page.Pagination;

public interface OrgTechAchievementService {

	Pagination<OrgTechAchievement> listOrgTechAchievement(Integer pNo, Integer pSize, String userId);

	OrgTechAchievement insert(OrgTechAchievement achievement);

	int updateByPrimaryKeySelective(OrgTechAchievement achievement);

	int deleteByPrimaryKey(List<String> id);

	OrgTechAchievement selectByPrimaryKey(String id);

}
